Subject: Re: [Isis-wg] OSPF and IS-IS Scalability

From: "Manav Bhatia" <[email-masked]>
Date: Mon, 20 Aug 2001 19:30:05 +0530

Hi Manral,
I was able to do this calculation but what i wanted to ask was ..
Where is it mentioned that a router can originate only one-router LSA for
each area it is connected to .. as i understand during the database exchange
process the routers form a master/slave relationship, the master being first
to transmit. The master sends database description packets to the slave to
describe its database of link state information. Flags in database
description packets indicate whether they are form the master or slave (the
M/S bit), the first such packet (the I bit) and if there are more packets to
come (the M bit). Database exchange is complete when a router recieves a
database description packet from its neighbor with the M bit off.

If this is so then there is no limit on the size of the LSAs an  OSPF router
can advertise.

I am copying it on to the list so that others can chime in and help us out
..

Regards,
Manav

----- Original Message -----
From: "Manral, Vishwas" <[email-masked]>
To: "'Manav Bhatia'" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, August 20, 2001 5:02 PM
Subject: RE: [Isis-wg] OSPF and IS-IS Scalability

> Hi Manav/Dave,
>
> Well each router can originate only one router LSA for each area it is
> connected to.
>
> Each link in the router can take up at most 24 bytes. The maximum size of
a
> ospf LS-Update packet is 2^16, as the packet length of the ospf header is
24
> bytes. So the total number of links maximum is about 2^16/ 24  is
> approximately equal to 2730.
>
> However if we take the minimum link size per link in the router lsa, then
> the max is about 2730 * 2, or O(5000).
>
> Tell me Dave where i m wrong, or is it the IP packet we are talking about?
>
> Thanks,
> Vishwas
>
>
>
> -----Original Message-----
> From: Manav Bhatia [mailto:[email-masked]]
> Sent: Monday, August 20, 2001 3:42 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Isis-wg] OSPF and IS-IS Scalability
>
>
> Hi Dave OR if anybody else can clear this point ..
>
> I was going through your presentation archived at nanog where you have
> compared the two link state protocols viz IS-IS and OSPF .. I am working
on
> IS-IS and am not much aware of OSPF and i was looking at the scalabilities
> issues related to both of the protocols. There you have said that the
> problem with OSPF is that in theory OSPF topology is limited to how much
we
> can stuff in the router LSA as each router gets one router LSA and it cant
> be bigger than the biggest of the IP datagram (64K) and so can contain
some
> O(5000) links.
> And the problem you said with IS-IS is the number of LSPs a single router
> can issue which is 256. My question is that how can we say that in OSPF a
> router has to stuff all its link database in ** one ** LSA. We have the
> mechanism of I-bit and the M-bit wherein we control the division of a
large
> topological database description into multiple messages.
>
> Can you please throw some light on this.
>
> Thanks and Regards,
> Manav Bhatia
> "C is not a big language, and is not well served by a big book." -- K&R2

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: Henk Smit <[email-masked]>
Date: Mon, 20 Aug 2001 15:16:44 -0700 (PDT)

This seems a question for the ospf mailinglist .....

  In OSPF there is no limit to the number of LSAs in the LSDB.
 The I/M bit mechanism you describe helps in that respect.
 But the problem is that even though the LSDB can contain as many
 packets as you want, each packet is limited in size to 64K.

  The description of a single router *has* to be done in one single
 router LSA. That means the router LSA can not be bigger than 64KB,
 or you will not be able to send it to your neighbors.
 The only way an OSPF router can advertise which routers it is directly
 adjacent to, is by including those inside its router LSA. So if the
 router LSA can only be 64KB, the number of neighbors that can be
 advertised is limited.

    Henk.